# Conditional build:
%bcond_without  python2         # build python 2 module
%bcond_without  python3         # build python 3 module
#
%define 	module	requests
Summary:	HTTP library for Python
Summary(pl.UTF-8):	Biblioteka HTTP dla Pythona
Name:		python-%{module}
Version:	2.0.1
Release:	1
License:	Apache2
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/r/requests/%{module}-%{version}.tar.gz
# Source0-md5:	38e61c2856d2ba2782286730241975e6
URL:		http://python-requests.org
Patch0:		system-charade-and-urllib3.patch
Patch1:		system-cert.patch
%if %{with python2}
BuildRequires:	python-charade
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-urllib3
%endif
%if %{with python3}
BuildRequires:	python3-charade
BuildRequires:	python3-modules >= 3.2
BuildRequires:	python3-urllib3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	ca-certificates
Requires:	python-charade
Requires:	python-modules >= 1:2.6
Requires:	python-urllib3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Requests is a HTTP library, written in Python, for human beings.

Most existing Python modules for sending HTTP requests are extremely
verbose and cumbersome. Python's builtin urllib2 module provides most
of the HTTP capabilities you should need, but the API is thoroughly
broken. It requires an enormous amount of work (even method overrides)
to perform the simplest of tasks. Things shouldn't be this way. Not in
Python.

%description -l pl.UTF-8
Requests to napisana w Pythonie biblioteka HTTP dla ludzi.

Większość istniejących modułów Pythona do wysyłania żądań HTTP jest
zbyt gadatliwa i nieporęczna. Wbudowany w Pythona moduł urllib2
zapewnia większość wymaganych możliwości HTTP, ale API jest kiepskie -
wymaga dużych nakładów pracy (nawet nadpisań metod) do wykonania
najprostszych zadań. Nie powinno tak być. Nie w Pythonie.

%package -n python3-requests
Summary:	HTTP library, written in Python, for human beings
Summary(pl.UTF-8):	Biblioteka HTTP library napisana w Pythonie dla ludzi
Group:		Development/Languages/Python
Requires:	ca-certificates
Requires:	python3-charade
Requires:	python3-modules >= 3.2
Requires:	python3-urllib3

%description -n python3-requests
Requests is a HTTP library, written in Python, for human beings.

Most existing Python modules for sending HTTP requests are extremely
verbose and cumbersome. Python's builtin urllib2 module provides most
of the HTTP capabilities you should need, but the api is thoroughly
broken. It requires an enormous amount of work (even method overrides)
to perform the simplest of tasks. Things shouldn't be this way. Not in
Python.

%description -n python3-requests -l pl.UTF-8
Requests to napisana w Pythonie biblioteka HTTP dla ludzi.

Większość istniejących modułów Pythona do wysyłania żądań HTTP jest
zbyt gadatliwa i nieporęczna. Wbudowany w Pythona moduł urllib2
zapewnia większość wymaganych możliwości HTTP, ale API jest kiepskie -
wymaga dużych nakładów pracy (nawet nadpisań metod) do wykonania
najprostszych zadań. Nie powinno tak być. Nie w Pythonie.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%{__python} setup.py build -b py2
%endif

%if %{with python3}
%{__python3} setup.py build -b py3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build -b py2 \
	install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py  \
	build -b py3 \
	install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%endif

%{__rm} -rf $RPM_BUILD_ROOT{%{py_sitescriptdir},%{py3_sitescriptdir}}/%{module}/{cacert.pem,packages}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc HISTORY.rst README.rst
%{py_sitescriptdir}/%{module}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-requests
%defattr(644,root,root,755)
%doc HISTORY.rst README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sun Oct 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requests.git;a=log;h=master

* Sun Oct 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> 23ad999
- updated to 2.0.1

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4a7ef44
- use system charade, urllib3 and certificates
- removed Todo
- rel. 1

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2d9e9bd
- use system charade and urllib3

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> bd09017
- use system ca-certificates

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> a8d0162
- updated to 1.2.3
- added conditional py2 and py3 build, removed doc build
- correct license
- new Source and URL
- updated Todo, fixed descriptions
- rel. 0.2

* Fri Feb 15 2013 Mateusz Korniak <matkor@pld-linux.org> e36cf5c
- Version 1.1.0. Builds, but not tested rel 0.1

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 54a4338
- updated to 0.14.2

* Fri Nov 16 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ba11eee
- release 3 (by relup.sh)

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aabea8a
- release 2 (by relup.sh)

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 8d099ee
- updated to 0.13.9
- pl
- build HTML docs

* Fri Jul 27 2012 Kacper Kornet <draenog@pld-linux.org> a0c91a8
- build python3 module

* Fri Jul 27 2012 Kacper Kornet <draenog@pld-linux.org> 613e36f
- get sources with some fixes from develop branch

* Thu Jul 26 2012 Elan Ruusamäe <glen@delfi.ee> e16ab94
- cleanup; fix version in module

* Wed Jul 25 2012 Mariusz Mazur <mmazur@pld-linux.org> 8ba1311
- Initial, works, but there's problem with versioning; rel 0.1

